using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.UserWalletCQ.EventHandlers;

public class CreateNewUserWalletEventHandler : INotificationHandler<CreateNewUserWalletEvent>
{
    private readonly ILogger<
        CreateNewUserWalletEventHandler> _logger;

    public CreateNewUserWalletEventHandler(ILogger<CreateNewUserWalletEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(CreateNewUserWalletEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
